org.apache.ignite.platform.dotnet

## Class PlatformDotNetCacheStoreFactoryNative

- java.lang.Object
- - org.apache.ignite.platform.dotnet.PlatformDotNetCacheStoreFactoryNative

All Implemented Interfaces:
  Serializable, javax.cache.configuration.Factory<PlatformDotNetCacheStore>

    public class PlatformDotNetCacheStoreFactoryNative
    extends Object
    implements javax.cache.configuration.Factory<PlatformDotNetCacheStore>

Cache store factory that wraps native factory object.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PlatformDotNetCacheStoreFactoryNative(Object nativeFactory)` Ctor.

### Method Summary

Methods
`PlatformDotNetCacheStore` `create()`
`Object` `getNativeFactory()` Gets the wrapped factory object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformDotNetCacheStoreFactoryNative

    public PlatformDotNetCacheStoreFactoryNative(Object nativeFactory)

Ctor.

Parameters:
  `nativeFactory` - Native factory object.

### Method Detail

#### getNativeFactory

    public Object getNativeFactory()

Gets the wrapped factory object.

Returns:
  Factory object.

#### create

    public PlatformDotNetCacheStore create()

Specified by:
  `create` in interface `javax.cache.configuration.Factory<PlatformDotNetCacheStore>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016